Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configurator
Class ConfiguratorUtils

    java.lang.Object
      org.eclipse.update.configurator.ConfiguratorUtils

public class ConfiguratorUtils
extends Object

Helper class to get platform configuration data without having to use BootLoader methods from the compatibility layer.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Constructor Summary
`ConfiguratorUtils()`

Method Summary
`static IPlatformConfiguration` | `getCurrentPlatformConfiguration()` Returns the current platform configuration.
`static URL` | `getInstallURL()`
`static IPlatformConfiguration` | `getPlatformConfiguration(URL url)` Returns a platform configuration object, optionally initialized with previously saved configuration information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfiguratorUtils

    public ConfiguratorUtils()

Method Detail

### getCurrentPlatformConfiguration

    public static IPlatformConfiguration getCurrentPlatformConfiguration()

  Returns the current platform configuration. This method replaces the one we used to call on BootLoader.

  Returns:
    platform configuration used in current instance of platform
  Since:
    3.0

### getPlatformConfiguration

    public static IPlatformConfiguration getPlatformConfiguration(URL url)
                                                           throws IOException

  Returns a platform configuration object, optionally initialized with previously saved configuration information. We will use this method instead of the old one in BootLoader.

  Parameters:
    `url` - location of previously save configuration information. If `null` is specified, an empty configuration object is returned
  Returns:
    platform configuration used in current instance of platform
  Throws:
    `IOException`

### getInstallURL

    public static URL getInstallURL()

  Returns:
    the URL of this eclispe installation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.